Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class Pool.Key

    java.lang.Object
      jpicedt.format.input.util.Pool.Key

Enclosing class:
  Pool

public static class Pool.Key
extends Object

Enforces use of strong typing for keys being pushed in the map .

Constructor Summary
`Pool.Key(String str)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pool.Key

    public Pool.Key(String str)

Parameters:
  `str` - may be chosen with debugging in view (not used otherwise)

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org